OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.ProvokingVertex

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTProvokingVertex :: MonadIO m => m Bool
- gl_EXT_provoking_vertex :: Bool
- gl_FIRST_VERTEX_CONVENTION_EXT :: GLenum
- gl_LAST_VERTEX_CONVENTION_EXT :: GLenum
- gl_PROVOKING_VERTEX_EXT :: GLenum
- gl_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION_EXT :: GLenum
- glProvokingVertexEXT :: MonadIO m => GLenum -> m ()

# Extension Support

glGetEXTProvokingVertex :: MonadIO m => m Bool

Is the EXT_provoking_vertex extension supported?

gl_EXT_provoking_vertex :: Bool

Is the EXT_provoking_vertex extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTProvokingVertex` in those cases instead.

# Enums

gl_FIRST_VERTEX_CONVENTION_EXT :: GLenum

gl_LAST_VERTEX_CONVENTION_EXT :: GLenum

gl_PROVOKING_VERTEX_EXT :: GLenum

gl_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION_EXT :: GLenum

# Functions

glProvokingVertexEXT

Arguments

:: MonadIO m |
=> GLenum | `mode`.
-> m () |

This command is an alias for `glProvokingVertex`.